package templates

import (
	"embed"
	"html/template"
	"io"
)

//go:embed views/*.html
var tmplFS embed.FS

var templatesMap *template.Template

func init() {
	templatesMap = template.Must(template.ParseFS(tmplFS, "views/*.html"))
}

func Execute(w io.Writer, name string, data any) error {
	return templatesMap.ExecuteTemplate(w, name, data)
}
